<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('other_page_items', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('page_about_title')->nullable();
            $table->text('page_about_seo_title')->nullable();
            $table->text('page_about_seo_meta_description')->nullable();
            $table->text('page_about_welcome_subheading')->nullable();
            $table->text('page_about_welcome_heading')->nullable();
            $table->text('page_about_welcome_text')->nullable();
            $table->text('page_about_welcome_phone')->nullable();
            $table->text('page_about_welcome_list1')->nullable();
            $table->text('page_about_welcome_list2')->nullable();
            $table->text('page_about_welcome_list3')->nullable();
            $table->text('page_about_welcome_experience_years')->nullable();
            $table->text('page_about_welcome_button_text')->nullable();
            $table->text('page_about_welcome_button_url')->nullable();
            $table->text('page_about_welcome_photo1')->nullable();
            $table->text('page_about_welcome_photo2')->nullable();
            $table->text('page_about_welcome_status')->nullable();
            $table->text('page_about_service_heading')->nullable();
            $table->text('page_about_service_subheading')->nullable();
            $table->text('page_about_service_how_many')->nullable();
            $table->text('page_about_service_status')->nullable();
            $table->text('page_about_portfolio_work_heading')->nullable();
            $table->text('page_about_portfolio_work_number')->nullable();
            $table->text('page_about_portfolio_work_text')->nullable();
            $table->text('page_about_portfolio_subheading')->nullable();
            $table->text('page_about_portfolio_heading')->nullable();
            $table->text('page_about_portfolio_how_many')->nullable();
            $table->text('page_about_portfolio_background')->nullable();
            $table->text('page_about_portfolio_status')->nullable();
            $table->text('page_about_client_status')->nullable();
            $table->text('page_team_members_title')->nullable();
            $table->text('page_team_members_seo_title')->nullable();
            $table->text('page_team_members_seo_meta_description')->nullable();
            $table->text('page_team_member_experience_heading')->nullable();
            $table->text('page_team_member_experience_status')->nullable();
            $table->text('page_team_member_contact_form_subheading')->nullable();
            $table->text('page_team_member_contact_form_heading')->nullable();
            $table->text('page_team_member_contact_form_status')->nullable();
            $table->text('page_testimonials_title')->nullable();
            $table->text('page_testimonials_seo_title')->nullable();
            $table->text('page_testimonials_seo_meta_description')->nullable();
            $table->text('page_pricing_title')->nullable();
            $table->text('page_pricing_seo_title')->nullable();
            $table->text('page_pricing_seo_meta_description')->nullable();
            $table->text('page_faq_title')->nullable();
            $table->text('page_faq_seo_title')->nullable();
            $table->text('page_faq_seo_meta_description')->nullable();
            $table->text('page_services_title')->nullable();
            $table->text('page_services_seo_title')->nullable();
            $table->text('page_services_seo_meta_description')->nullable();
            $table->text('page_portfolios_title')->nullable();
            $table->text('page_portfolios_seo_title')->nullable();
            $table->text('page_portfolios_seo_meta_description')->nullable();
            $table->text('page_portfolio_single_bottom_subheading')->nullable();
            $table->text('page_portfolio_single_bottom_heading')->nullable();
            $table->text('page_portfolio_single_bottom_how_many')->nullable();
            $table->text('page_portfolio_single_bottom_status')->nullable();
            $table->text('page_blog_title')->nullable();
            $table->text('page_blog_seo_title')->nullable();
            $table->text('page_blog_seo_meta_description')->nullable();
            $table->text('page_contact_title')->nullable();
            $table->text('page_contact_send_mail_heading')->nullable();
            $table->text('page_contact_send_mail_subheading')->nullable();
            $table->text('page_contact_info_heading')->nullable();
            $table->text('page_contact_info_subheading')->nullable();
            $table->text('page_contact_info_text')->nullable();
            $table->text('page_contact_info_phone_title')->nullable();
            $table->text('page_contact_info_phone_value')->nullable();
            $table->text('page_contact_info_email_title')->nullable();
            $table->text('page_contact_info_email_value')->nullable();
            $table->text('page_contact_info_address_title')->nullable();
            $table->text('page_contact_info_address_value')->nullable();
            $table->text('page_contact_map')->nullable();
            $table->text('page_contact_seo_title')->nullable();
            $table->text('page_contact_seo_meta_description')->nullable();
            $table->text('page_terms_title')->nullable();
            $table->text('page_terms_content')->nullable();
            $table->text('page_terms_seo_title')->nullable();
            $table->text('page_terms_seo_meta_description')->nullable();
            $table->text('page_privacy_title')->nullable();
            $table->text('page_privacy_content')->nullable();
            $table->text('page_privacy_seo_title')->nullable();
            $table->text('page_privacy_seo_meta_description')->nullable();
            $table->text('page_search_seo_title')->nullable();
            $table->text('page_search_seo_meta_description')->nullable();
            $table->text('page_tag_seo_title')->nullable();
            $table->text('page_tag_seo_meta_description')->nullable();
            $table->text('page_category_seo_title')->nullable();
            $table->text('page_category_seo_meta_description')->nullable();
            $table->timestamp('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('other_page_items');
    }
};
